<!DOCTYPE html>
<html>
<head>
<title>Container Engine Support</title>
<style>
table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
}
th,td {
  padding: 10px;
  text-align: center;
}
.ok {
  background-color: green;
}
.bad {
  background-color: red;
}

</style>
</head>

<body>
  <table>
   <tr>
    <td></td>
    {% for os, v in os.items() -%}
    <th colspan="1"> {{os}} </th>
    {% endfor -%}
  </tr>
  <tr>
    <td></td>
    {% for os, v in os.items() -%}
    {% for engine in ['containerd'] -%}
    <td> {{engine}}</td>
    {% endfor -%}
    {% endfor -%}
  </tr>
  {% for k8s, v in k8s.items() -%}
    <tr>
      <th>{{k8s}}</th>
      {% for os, v in os.items() -%}
      {% for engine in ['containerd'] -%}
      {% if test[os].get(k8s,{}).get(engine,False) -%}
      <td class="ok">Y</td>
      {% else -%}
      <td class="bad">N</td>
      {% endif -%}
      {% endfor -%}
      {% endfor -%}
    </tr>
  {% endfor %}

  </table>

</body>
